<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>TravelNet</title>
    <link rel="stylesheet" href="master.css" type="text/css">
</head>

<body>
<h1>About the TravelNet Web Services Application</h1>
This application simulates the application of an imaginery travel agent called TravelNet. TravelNet doesn't have its own database of trips, but resells trips from a Tour Operator (Compass).
TravelNet communicates with its partner Compass using <strong>Web Services</strong>.
<h3>Techniques Demonstrated</h3>
<table border=1>
<tr>
	<td>
		home.cfm
	</td>
	<td>
		Displays a list of trips the customer can choose from. The travel agent builds this list by invoking the getList( ) method of the Trip Web Service provided by Compass.
	</td>
</tr>
<tr>
	<td>
		tripdetail.cfm
	</td>
	<td>
		Displays detailed information about the trip selected in home.jsp. The travel agent obtains the trip details by invoking the getInfo( ) method of the Trip Web Service provided by Compass.
	</td>
</tr>
<tr>
	<td>
		reservationaction.cfm
	</td>
	<td>
		Notifies the Tour Operator (Compass) that the trip has been booked by invoking the reserve( ) method of the Reservation Web Service provided by Compass.
	</td>
</tr>

</table>
<br><br>
<a href="home.cfm">Start the application</a>
</body>
</html>
