<%@ page import="compass.*,compass.client.*,java.net.URL" %>
<%
	int tripId=Integer.parseInt(request.getParameter("tripId"));

	URL endpoint = new URL(application.getInitParameter("trip-service-endpoint"));

	TripService factory = new TripService();
	Trip trip = factory.getTrip(endpoint);
	TripInfo info = trip.getInfo(tripId);
%>
<html>
<head>
<title>Trip Detail</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="master.css" type="text/css">
</head>
<body>
<%@ include file="header.jsp"%>
<table width="700" cellpadding="5">
<tr><td><img src="<%= info.getImage() %>"></td></tr>
<tr><td class="headerBoldLg"><%= info.getName()  %></td></tr>
<tr><td>
		<table>
			<tr>
				<td width="100" class="header">Start Date</td>
				<td width="100" class="header">End Date</td>
				<td width="100" class="header">Price</td>
				<td width="350" rowspan="2" align="right"><a href="reservation.jsp?tripId=<%= info.getId() %>"><img src="images/bookTrip.gif" border="0"></a></td>
			</tr>
			<tr>
				<td class="contentBG"><%= info.getStartDate() %></td>
				<td class="contentBG"><%= info.getEndDate() %></td>
				<td class="contentBG"><%= info.getPrice() %></td>
			</tr>		
		</table>
</td></tr>
<tr><td><%= info.getDescription() %></td></tr>
</table>
</body>
</html>
