package compass;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.DriverManager;

public class ConnectionHelper {

    public static Connection getConnection() {

        /*
            To do: read the kind of connection desired (pooled or direct) from web.xml
            Then read connection parameters
        */

        // Direct Connection
        return getConnection("org.hsqldb.jdbcDriver", "jdbc:hsqldb:hsql://localhost:1701", "sa", "");
    }

    public static Connection getConnection(String datasource) {
        try {
            InitialContext ctx = new InitialContext();
            DataSource ds = (DataSource) ctx.lookup(datasource);
            return ds.getConnection();
        } catch (NamingException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }
	return null;
    }

    public static Connection getConnection(String driver, String url, String user, String password) {
        try {
            Class.forName(driver);
            return DriverManager.getConnection(url, user, password);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }
	return null;
    }

}
